import oscP5.*;
import netP5.*;


OscP5 oscP5;
NetAddress myRemoteLocation;

float radius;

float volumeGeneral1;

boolean isStrobing, isSunstrip;

float x, y;
float rayon1, rayonCible1;

float lightRed;

void setup() {
  size(400, 400);
  frameRate(25);
  /* start oscP5, listening for incoming messages at port 12000 */
  oscP5 = new OscP5(this, 7700);


  myRemoteLocation = new NetAddress("127.0.0.1", 9000);

  x = width/2;
  y = height/2;
  rectMode(CENTER);
}


void draw() {
  
  background(0);
  fill(255);
  rect(width/2,height/2,radius,radius);
  
}




/* incoming osc message are forwarded to the oscEvent method. */
void oscEvent(OscMessage theOscMessage) {
  /* print the address pattern and the typetag of the received OscMessage */
  /*print("### received an osc message.");
  print(" addrpattern: "+theOscMessage.addrPattern());
  println(" typetag: "+theOscMessage.typetag());
  println(theOscMessage.get(0).floatValue());*/
  
  if (theOscMessage.addrPattern().equals("/1/volume")) {
    //println("coucou");
    radius = theOscMessage.get(0).floatValue();
  }
}